package org.springblade.yeePay.api;

import com.yeepay.yop.sdk.service.common.request.YopRequest;
import lombok.Getter;

/**
 * @author: lianghanqiang
 * @description: 商户交易接口API
 * @since: 9/15/21 -- 11:44 AM
 */
@Getter
public enum  YeepayMerchant {

	/**
	 *  添加图片到易宝服务器
	 * */
	ADD_FILE_TO_YEEPAY("/yos/v1.0/sys/merchant/qual/upload","POST");

	String requestUrl;
	String requestMethods;

	YeepayMerchant(String url,String requestMethods){
		this.requestMethods = requestMethods;
		this.requestUrl = url;
	}

	public YopRequest buildRequest(){
		return new YopRequest(requestUrl,requestMethods);
	}
}
